Package org.eclipse.jface.viewers

## Interface IFontDecorator

    public interface IFontDecorator

The IFontDecorator is an interface for objects that return a font to decorate an object. If an IFontDecorator decorates a font in an object that also has an IFontProvider the IFontDecorator will take precedence.

Since:
  3.1
See Also:
  `IFontProvider`

### Method Summary

All Methods Instance Methods Abstract Methods
`Font` `decorateFont​(Object element)` Return the font for element or `null` if there is not one.

### Method Detail

#### decorateFont

    Font decorateFont​(Object element)

Return the font for element or `null` if there is not one.

Parameters:
  `element` - the element to get font for
Returns:
  Font or `null`